var open = XMLHttpRequest.prototype.open;

XMLHttpRequest.prototype.open =
  function()
    {
    this.addEventListener(
      "load",
      function()
        {
        var message =
          {
          "status" : this.status,
          "responseURL" : this.responseURL
          };
          
        if(window.webkit != undefined)
          window.webkit.messageHandlers.requestMonitor.postMessage(message);

        else if(window.get != undefined)
          window.requestMonitor.postMessage(message);

        updateMessage(false);
        processOrder();
        });
        
    open.apply(this, arguments);
    };

var message = "";
var country = "DEFAULT_COUNTRY";

function setMessage(newMessage, newCountry)
  {
  message = newMessage;
  country = newCountry;
  
  updateMessage(country.toLowerCase() == "ca");
  
  setTimeout(
    function()
      {
      updateMessage(country.toLowerCase() == "ca");
      },
    1000);
  }

function updateMessage(force)
  {
  if(message == '')
    return;
    
  var span = document.querySelector('div[class="country-icon"] span');
  
  if(span == null)
    return;
    
  if(force || (span.innerHTML == "Canada"))
    {
    var tr = document.getElementById('etrecheck-ca-sales-taxes');
  
    if(tr == null)
      {
      var table =
        document.getElementById('etrecheckpro-power-user-package');
      
      if(table != null)
        {
        var row = table.insertRow(1);
        
        row.id = 'etrecheck-ca-sales-taxes';
        
        var cell = row.insertCell(0);

        cell.colSpan = 3;
        cell.setAttribute("class", "text-info");
        
        cell.innerHTML = message;
        }
      }
    }
  }

function processOrder()
  {
  var code =
    document.querySelector('span[class="fulfillment-license"] code');
  
  if(code != null)
    {
    var activationCode = code.innerHTML;
    
    if(activationCode.length > 0)
      {
      if(window.webkit != undefined)
        window.webkit.messageHandlers.activation.postMessage(
          activationCode);

      else if(window.get != undefined)
        window.activation.postMessage(activationCode);
      }
    }
  }
