var open = XMLHttpRequest.prototype.open;

XMLHttpRequest.prototype.open =
  function()
    {
    this.addEventListener(
      "load",
      function()
        {
        var message =
          {
          "status" : this.status,
          "responseURL" : this.responseURL
          };
          
        if(window.webkit != undefined)
          window.webkit.messageHandlers.requestMonitor.postMessage(message);

        else if(window.get != undefined)
          window.requestMonitor.postMessage(message);
          
        disableQuantity();
        updateMessage();
        });
        
    open.apply(this, arguments);
    };

function disableQuantity()
  {
  var select =
    document.querySelector('select[data-testid="quantitySelector"]');
    
  if(select != null)
    select.disabled = true;
    
  var div =
    document.querySelector('div[data-testid="productQuantitySelection"]');
    
  if(div != null)
    div.remove();
  }

var message = "";
var country = "DEFAULT_COUNTRY";

function setMessage(newMessage, newCountry)
  {
  message = newMessage;
  country = newCountry;
  
  updateMessage();
  }
  
function updateMessage()
  {
  if(message.length > 0)
    {
    var div = document.querySelector('div[class="sc-gGLxEB fBBxku"]');
    
    if(div != null)
      div.innerHTML = message;
    }
    
  if(country == "ca")
    {
    var div =
      document.querySelector(
        'div[data-testid="taxCalculatedInALaterStep"]');
    
    if(div != null)
      div.remove();

    var span = document.querySelector('span[data-testid="taxRate"]');
    
    if(span != null)
      span.remove();

    div = document.querySelector('div[data-testid="taxAmount"]');
    
    if(div != null)
      div.remove();
    }
  }
