<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet 
  version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="xml" indent="yes" encoding="UTF-8"/>

  <xsl:template match="@* | node()">
    <xsl:copy>
      <xsl:apply-templates select="@* | node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="serial_unsafe">
    <xsl:copy>
      <xsl:apply-templates select="../serial/node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="path_unsafe">
    <xsl:copy>
      <xsl:apply-templates select="../path/node()"/>
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="app_path_unsafe">
    <xsl:copy>
      <xsl:apply-templates select="../app_path/node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="filename_unsafe">
    <xsl:copy>
      <xsl:apply-templates select="../filename/node()"/>
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="executable_unsafe">
    <xsl:copy>
      <xsl:apply-templates select="../executable/node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="arguments_unsafe">
    <xsl:copy>
      <xsl:apply-templates select="../arguments/node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="name_unsafe">
    <xsl:copy>
      <xsl:apply-templates select="../name/node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="displayname_unsafe">
    <xsl:copy>
      <xsl:apply-templates select="../displayname/node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="mountpoint_unsafe">
    <xsl:copy>
      <xsl:apply-templates select="../mountpoint/node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="address_unsafe">
    <xsl:copy>
      <xsl:apply-templates select="../address/node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="user_unsafe">
    <xsl:copy>
      <xsl:apply-templates select="../user/node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="bundle_unsafe">
    <xsl:copy>
      <xsl:apply-templates select="../bundle/node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="bundlename_unsafe">
    <xsl:copy>
      <xsl:apply-templates select="../bundlename/node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="location_unsafe">
    <xsl:copy>
      <xsl:apply-templates select="../location/node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="title_unsafe">
    <xsl:copy>
      <xsl:apply-templates select="../title/node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="body_unsafe">
    <xsl:copy>
      <xsl:apply-templates select="../body/node()"/>
    </xsl:copy>
  </xsl:template>

</xsl:stylesheet>
