var text =
  {
  "previous": "Précédente: ",
  "next": "Prochaine: ",
  "yourmachine": "Votre ordinateur",
  "allmachines": "Tous les ordinateurs",
  "hdfailurerate": "Taux d’échec du test de disque",
  "yourdiskspeed": "La vitesse de votre disque",
  "yourreadspeed": "Votre vitesse de lecture",
  "yourwritespeed": "Votre vitesse d’écriture",
  "yourfilesystemtime" : "Le temps de votre système de fichier",
  "yourperformance" : "Votre performance",
  "yourruntime" : "Votre temps écoulé",
  "performancelabels":
    {
    "0" : "Mauvaise",
    "1" : "Sous moy",
    "2" : "Bonne",
    "3" : "Excellente"
    },
  "intro":
    {
    "title": "À propros des Intuitions",
    "next": "problem"
    },
  "problem":
    {
    "title": "Le problème",
    "labels":
      {
      "beachball" : "Curseur Arc-en-ciel",
      "restarting" : "Redémarrer",
      "other" : "Autre",
      "tooslow" : "Trop lent",
      "appscrashing" : "Plantage",
      "justchecking" : "Pas de problème",
      "storage" : "Stockage"
      },
    "previous": "intro",
    "next": "problemdescription"
    },
  "problemdescription":
    {
    "title": "La description du problème",
    "labels":
      {
      "no" : "Pas de description",
      "yes" : "Description présent"
      },
    "previous": "problem",
    "next": "performance"
    },
  "performance":
    {
    "title": "La performance",
    "previous": "problemdescription",
    "next": "systemspeed"
    },
  "systemspeed":
    {
    "title": "Le temps écoulé",
    "previous": "performance",
    "next": "machine"
    },
  "machine":
    {
    "title": "Les ordinateurs trouvés",
    "previous": "systemspeed",
    "next": "models"
    },
  "models":
    {
    "title": "Les ordinateurs populaires",
    "previous": "machine",
    "next": "os"
    },
  "os":
    {
    "title": "La mise à nouveau du système",
    "previous": "models",
    "next": "cpu"
    },
  "cpu":
    {
    "title": "Les changements du processeur",
    "previous": "os",
    "next": "oschanges"
    },
  "oschanges":
    {
    "title": "L’évolution du système",
    "labels":
      {
      "systemtasks" : "Le compte des opérations du système",
      "swapused" : "Fichier d’échange utilisé",
      "freeram" : "Mémoire libre",
      "freestorage" : "Stockage libre",
      "score" : "La performance d’EtreCheck"
      },
    'xaxis': 'La performance de l’ordinateur',
    'yaxis':
      {
      "systemtasks" : "Les opérations du système",
      "swapused" : "Mémoire libre / Fichier d’échange utilisé",
      "freestorage" : "Stockage libre",
      "score" : "La performance d’EtreCheck"
      },
    "previous": "cpu",
    "next": "av"
    },
  "av":
    {
    "title": "La sécurité",
    "labels":
      {
      "hasadware" : "Comporte logiciel malveillant",
      "hasav" : "Comporte logiciel de sécurité tiers",
      "both" : "Comporte logiciel malveillant ainsi que logiciel de sécurité tiers"
      },
    "previous": "oschanges",
    "next": "avvendors"
    },
  "avvendors":
    {
    "title": "Logiciels de sécurité",
    "previous": "av",
    "next": "topav_hasadware"
    },
  "topav_hasadware":
    {
    "key": "topav",
    "title": "Sécurité - publicité",
    "previous": "avvendors",
    "next": "tm"
    },
  "topav":
    {
    "title": "Logiciel de sécurité",
    "labels":
      {
      "hasadware": "Comporte de logiciel malveillant",
      "filesystemtime": "Le temps moyen du système de fichier",
      "count": "La popularité",
      "score": "Le score moyen de la performance"
      }
    },
  "tm":
    {
    "title": "Time Machine",
    "labels":
      {
      'configured': 'Sauvegardé avec Time Machine',
      'notconfigured': 'Aucune sauvegarde',
      'old': 'Sauvegarde Time Machine vielle',
      'other': 'Sauvegardé avec logiciel tiers'
      },
    "previous": "topav_hasadware",
    "next": "diskspeed"
    },
  "diskspeed":
    {
    "title": "La vitesse du disque",
    "labels":
      {
      'mechanical_readspeed': 'Lecture (méchanique)',
      'mechanical_writespeed': 'Écriture (méchanique)',
      'solidstate_readspeed': 'Lecture (SSD)',
      'solidstate_writespeed': 'Écriture (SSD)',
      'fusion_readspeed': 'Lecture (Fusion)',
      'fusion_writespeed': 'Écriture (Fusion)'
      },
    'xaxis':
      {
      'mechanical': 'Méchanique',
      'sata': 'SSD SATA',
      'modern': 'SSD NVM Express',
      },
    "previous": "tm",
    "next": "filesystem"
    },
  "filesystem":
    {
    "title": "La vitesse du système de fichier",
    "labels":
      {
      'mechanical': 'Méchanique',
      'solidstate': 'SSD',
      'fusion': 'Fusion',
      },
    'xaxis':
      {
      'normal': 'Normal',
      'failure': 'Échec du disque'
      },
    "previous": "diskspeed",
    "next": "hdfailure"
    },
  "hdfailure":
    {
    "title": "L’échec du disque",
    "previous": "filesystem",
    "next": "topmods"
    },
  "topmods":
    {
    "title": "Les modifications du système",
    "previous": "hdfailure",
    "next": "systemmods"
    },
  "systemmods":
    {
    "title": "Les modifications du système",
    "labels":
      {
      'count': 'Pourcentage des rapports',
      'score': 'La performance moyenne',
      'runtime': 'Le temps écoulé moyen',
      },
    "xaxis": "Le compte de modifications du système",
    "previous": "filesystem",
    "next": "more"
    },
  "more":
    {
    "title": "Plus des Intuitions",
    "previous": "systemmods"
    },
  };
